
Redmine - Defect #35656

When importing issue relations, the validation messages are not shown in the UI

2021-08-01 16:06 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 4.2.4   

Resolution: Fixed Affected version: 4.2.0

Description

If you import a CSV with invalid relations, the validations messages are not shown in the UI.

The attached CSV can be used to reproduce the problem and it should generate the following error in the logs:

ActiveRecord::RecordInvalid (Validation failed: Related issue cannot be blank):

app/models/issue_import.rb:289:in `block (2 levels) in build_relations'

app/models/issue_import.rb:252:in `each'

app/models/issue_import.rb:252:in `block in build_relations'

app/models/issue_import.rb:248:in `each_key'

app/models/issue_import.rb:248:in `build_relations'

app/models/issue_import.rb:244:in `extend_object'

app/models/import.rb:215:in `block in run'

app/models/import.rb:142:in `block in read_items'

app/models/import.rb:256:in `block in read_rows'

app/models/import.rb:255:in `read_rows'

app/models/import.rb:136:in `read_items'

app/models/import.rb:194:in `run'

app/controllers/imports_controller.rb:91:in `run'

lib/redmine/sudo_mode.rb:61:in `sudo_mode'

Related issues:

Related to Redmine - Feature #28198: Support issue relations when importing i... Closed

Has duplicate Redmine - Defect #36592: Import hangs when "related to" issue c... Closed

Associated revisions

Revision 21422 - 2022-02-20 19:12 - Marius BĂLTEANU

Fix import with issue relations and invalid issues hangs without any error message in UI (#35656).

Revision 21424 - 2022-02-20 19:51 - Marius BĂLTEANU

Merged r21422 to 4.2-stable (#35656).

History

#1 - 2022-02-13 09:47 - Marius BĂLTEANU

- Has duplicate Defect #36592: Import hangs when "related to" issue could not be created added

#2 - 2022-02-13 09:54 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.2.4

#3 - 2022-02-20 17:17 - Marius BĂLTEANU

- Related to Feature #28198: Support issue relations when importing issues added

#4 - 2022-02-20 20:34 - Marius BĂLTEANU

- Status changed from New to Closed
- Resolution set to Fixed

Files

RelationTest (2).csv 134 Bytes 2021-08-01 Marius BĂLTEANU
